> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prets.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List the organization’s event destinations



## OpenAPI

````yaml https://api.prets.io/v1/openapi.json get /v1/events/destinations
openapi: 3.1.0
info:
  title: Prets API
  version: 1.0.0
servers:
  - url: https://api.prets.app
security:
  - bearerAuth: []
paths:
  /v1/events/destinations:
    get:
      summary: List the organization’s event destinations
      responses:
        '200':
          description: List of event destinations
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListEventDestinationsResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden — missing `org:events:read` permission
      security:
        - bearerAuth: []
components:
  schemas:
    ListEventDestinationsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/EventDestination'
      required:
        - data
    EventDestination:
      type: object
      properties:
        destinationId:
          type: string
          pattern: ^whk_[0-9A-HJKMNP-TV-Z]{26}$
        name:
          type: string
          minLength: 1
          maxLength: 128
          description: Human-readable label for this destination within the organization.
          example: Production
        url:
          type: string
          maxLength: 2048
          pattern: ^((%[0-9A-Fa-f]{2}|[-()_.!~*';/?:@&=+$,A-Za-z0-9])+)([).!';/?:,])?$
          description: >-
            Public HTTPS endpoint that will receive event deliveries. Plain HTTP
            is rejected.
          example: https://example.com/prets/events
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - destinationId
        - name
        - url
        - createdAt
        - updatedAt
      description: >-
        HTTPS endpoint registered for outbound event delivery. Scoped to the
        authenticated organization.
      x-stability: experimental
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````